Bug 139939 - [PATCH] audio/soundconverter: locale files in wrong place
Summary: [PATCH] audio/soundconverter: locale files in wrong place
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-25 03:50 UTC by darcsis
Modified: 2009-10-30 15:30 UTC (History)
0 users

See Also:


Attachments
file.diff (9.00 KB, patch)
2009-10-25 03:50 UTC, darcsis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description darcsis 2009-10-25 03:50:01 UTC
soundconverter's locale files are installed in /usr/local/lib/locale. I think they should be under /usr/local/share/locale.

Fix: the attached patch fix the problem.

Patch attached with submission follows:
How-To-Repeat: install the port and take a look at /usr/local/lib/locale
Comment 1 Edwin Groothuis freebsd_committer 2009-10-25 03:50:09 UTC
Maintainer of audio/soundconverter,

Please note that PR ports/139939 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/139939

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-10-25 03:50:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Sylvio César Teixeira Amorim 2009-10-26 19:44:12 UTC
>Submitter-Id:	current-users
>Originator:	Sylvio Cesar
>Organization:	
>Confidential:	no 
>Synopsis:	Re: ports/139939: [PATCH] audio/soundconverter: locale files in wrong place 
>Severity:	non-critical
>Priority:	low
>Category:	ports 
>Class:		change-request
>Release:	FreeBSD 9.0-CURRENT i386
>Environment:
System: FreeBSD fbsd9i386.scjamorim.org 9.0-CURRENT FreeBSD 9.0-CURRENT #0: Tue Oct 20 23:13:42 BRST 2009
>Description:
- Followup a patch based in of Denise.

Thanks Denise.

Regards,

Sylvio Cesar

Port maintainer (scjamorim@bsd.com.br) is cc'd.

Generated with FreeBSD Port Tools 0.99
>How-To-Repeat:
>Fix:

--- soundconverter-1.4.4.patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/soundconverter/Makefile,v
retrieving revision 1.8
diff -u -u -r1.8 Makefile
--- Makefile	21 Oct 2009 10:43:01 -0000	1.8
+++ Makefile	26 Oct 2009 20:39:49 -0000
@@ -28,7 +28,9 @@
 MAN1=	soundconverter.1
 
 post-patch:
-	@${REINPLACE_CMD} -e 's|@GMSGFMT@|${LOCALBASE}/bin/msgfmt|' ${WRKSRC}/po/Makefile.in.in
+	${REINPLACE_CMD} -e 's|@GMSGFMT@|${LOCALBASE}/bin/msgfmt|; \
+		s|itlocaledir = .*|itlocaledir = ${LOCALBASE}/share/locale|g' \
+			${WRKSRC}/po/Makefile.in.in
 	@${REINPLACE_CMD} -e 's|#!/usr/bin/python|#!/usr/bin/env python|' ${WRKSRC}/src/soundconverter.py
 
 .include <bsd.port.mk>
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/audio/soundconverter/pkg-plist,v
retrieving revision 1.5
diff -u -u -r1.5 pkg-plist
--- pkg-plist	21 Oct 2009 10:43:01 -0000	1.5
+++ pkg-plist	26 Oct 2009 20:39:49 -0000
@@ -3,41 +3,41 @@
 @exec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
 @unexec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
 bin/soundconverter
-lib/locale/ar/LC_MESSAGES/soundconverter.mo
-lib/locale/bg/LC_MESSAGES/soundconverter.mo
-lib/locale/br/LC_MESSAGES/soundconverter.mo
-lib/locale/ca/LC_MESSAGES/soundconverter.mo
-lib/locale/cs/LC_MESSAGES/soundconverter.mo
-lib/locale/da/LC_MESSAGES/soundconverter.mo
-lib/locale/de/LC_MESSAGES/soundconverter.mo
-lib/locale/el/LC_MESSAGES/soundconverter.mo
-lib/locale/en_AU/LC_MESSAGES/soundconverter.mo
-lib/locale/en_GB/LC_MESSAGES/soundconverter.mo
-lib/locale/eo/LC_MESSAGES/soundconverter.mo
-lib/locale/es/LC_MESSAGES/soundconverter.mo
-lib/locale/et/LC_MESSAGES/soundconverter.mo
-lib/locale/eu/LC_MESSAGES/soundconverter.mo
-lib/locale/fa/LC_MESSAGES/soundconverter.mo
-lib/locale/fi/LC_MESSAGES/soundconverter.mo
-lib/locale/fr/LC_MESSAGES/soundconverter.mo
-lib/locale/he/LC_MESSAGES/soundconverter.mo
-lib/locale/hi/LC_MESSAGES/soundconverter.mo
-lib/locale/hu/LC_MESSAGES/soundconverter.mo
-lib/locale/it/LC_MESSAGES/soundconverter.mo
-lib/locale/ja/LC_MESSAGES/soundconverter.mo
-lib/locale/ms/LC_MESSAGES/soundconverter.mo
-lib/locale/nl/LC_MESSAGES/soundconverter.mo
-lib/locale/pl/LC_MESSAGES/soundconverter.mo
-lib/locale/pt_BR/LC_MESSAGES/soundconverter.mo
-lib/locale/ru/LC_MESSAGES/soundconverter.mo
-lib/locale/sk/LC_MESSAGES/soundconverter.mo
-lib/locale/sr/LC_MESSAGES/soundconverter.mo
-lib/locale/sr@latin/LC_MESSAGES/soundconverter.mo
-lib/locale/sv/LC_MESSAGES/soundconverter.mo
-lib/locale/te/LC_MESSAGES/soundconverter.mo
-lib/locale/tr/LC_MESSAGES/soundconverter.mo
-lib/locale/vi/LC_MESSAGES/soundconverter.mo
-lib/locale/zh_CN/LC_MESSAGES/soundconverter.mo
+share/locale/ar/LC_MESSAGES/soundconverter.mo
+share/locale/bg/LC_MESSAGES/soundconverter.mo
+share/locale/br/LC_MESSAGES/soundconverter.mo
+share/locale/ca/LC_MESSAGES/soundconverter.mo
+share/locale/cs/LC_MESSAGES/soundconverter.mo
+share/locale/da/LC_MESSAGES/soundconverter.mo
+share/locale/de/LC_MESSAGES/soundconverter.mo
+share/locale/el/LC_MESSAGES/soundconverter.mo
+share/locale/en_AU/LC_MESSAGES/soundconverter.mo
+share/locale/en_GB/LC_MESSAGES/soundconverter.mo
+share/locale/eo/LC_MESSAGES/soundconverter.mo
+share/locale/es/LC_MESSAGES/soundconverter.mo
+share/locale/et/LC_MESSAGES/soundconverter.mo
+share/locale/eu/LC_MESSAGES/soundconverter.mo
+share/locale/fa/LC_MESSAGES/soundconverter.mo
+share/locale/fi/LC_MESSAGES/soundconverter.mo
+share/locale/fr/LC_MESSAGES/soundconverter.mo
+share/locale/he/LC_MESSAGES/soundconverter.mo
+share/locale/hi/LC_MESSAGES/soundconverter.mo
+share/locale/hu/LC_MESSAGES/soundconverter.mo
+share/locale/it/LC_MESSAGES/soundconverter.mo
+share/locale/ja/LC_MESSAGES/soundconverter.mo
+share/locale/ms/LC_MESSAGES/soundconverter.mo
+share/locale/nl/LC_MESSAGES/soundconverter.mo
+share/locale/pl/LC_MESSAGES/soundconverter.mo
+share/locale/pt_BR/LC_MESSAGES/soundconverter.mo
+share/locale/ru/LC_MESSAGES/soundconverter.mo
+share/locale/sk/LC_MESSAGES/soundconverter.mo
+share/locale/sr/LC_MESSAGES/soundconverter.mo
+share/locale/sr@latin/LC_MESSAGES/soundconverter.mo
+share/locale/sv/LC_MESSAGES/soundconverter.mo
+share/locale/te/LC_MESSAGES/soundconverter.mo
+share/locale/tr/LC_MESSAGES/soundconverter.mo
+share/locale/vi/LC_MESSAGES/soundconverter.mo
+share/locale/zh_CN/LC_MESSAGES/soundconverter.mo
 share/applications/soundconverter.desktop
 share/icons/hicolor/48x48/apps/soundconverter.png
 share/icons/hicolor/scalable/apps/soundconverter.svg
@@ -48,77 +48,77 @@
 @dirrmtry share/icons/hicolor
 @dirrmtry share/icons
 @dirrmtry share/applications
-@dirrmtry lib/locale/zh_CN/LC_MESSAGES
-@dirrmtry lib/locale/zh_CN
-@dirrmtry lib/locale/vi/LC_MESSAGES
-@dirrmtry lib/locale/vi
-@dirrmtry lib/locale/tr/LC_MESSAGES
-@dirrmtry lib/locale/tr
-@dirrmtry lib/locale/te/LC_MESSAGES
-@dirrmtry lib/locale/te
-@dirrmtry lib/locale/sv_SE/LC_MESSAGES
-@dirrmtry lib/locale/sv_SE
-@dirrmtry lib/locale/sv/LC_MESSAGES
-@dirrmtry lib/locale/sv
-@dirrmtry lib/locale/sr@latin/LC_MESSAGES
-@dirrmtry lib/locale/sr@latin
-@dirrmtry lib/locale/sr/LC_MESSAGES
-@dirrmtry lib/locale/sr
-@dirrmtry lib/locale/sk/LC_MESSAGES
-@dirrmtry lib/locale/sk
-@dirrmtry lib/locale/ru/LC_MESSAGES
-@dirrmtry lib/locale/ru
-@dirrmtry lib/locale/pt_BR/LC_MESSAGES
-@dirrmtry lib/locale/pt_BR
-@dirrmtry lib/locale/pl/LC_MESSAGES
-@dirrmtry lib/locale/pl
-@dirrmtry lib/locale/nl/LC_MESSAGES
-@dirrmtry lib/locale/nl
-@dirrmtry lib/locale/ms/LC_MESSAGES
-@dirrmtry lib/locale/ms
-@dirrmtry lib/locale/ja/LC_MESSAGES
-@dirrmtry lib/locale/ja
-@dirrmtry lib/locale/it/LC_MESSAGES
-@dirrmtry lib/locale/it
-@dirrmtry lib/locale/hu/LC_MESSAGES
-@dirrmtry lib/locale/hu
-@dirrmtry lib/locale/hi/LC_MESSAGES
-@dirrmtry lib/locale/hi
-@dirrmtry lib/locale/he/LC_MESSAGES
-@dirrmtry lib/locale/he
-@dirrmtry lib/locale/fr/LC_MESSAGES
-@dirrmtry lib/locale/fr
-@dirrmtry lib/locale/fi/LC_MESSAGES
-@dirrmtry lib/locale/fi
-@dirrmtry lib/locale/fa/LC_MESSAGES
-@dirrmtry lib/locale/fa
-@dirrmtry lib/locale/eu/LC_MESSAGES
-@dirrmtry lib/locale/eu
-@dirrmtry lib/locale/et/LC_MESSAGES
-@dirrmtry lib/locale/et
-@dirrmtry lib/locale/es/LC_MESSAGES
-@dirrmtry lib/locale/es
-@dirrmtry lib/locale/eo/LC_MESSAGES
-@dirrmtry lib/locale/eo
-@dirrmtry lib/locale/en_GB/LC_MESSAGES
-@dirrmtry lib/locale/en_GB
-@dirrmtry lib/locale/en_AU/LC_MESSAGES
-@dirrmtry lib/locale/en_AU
-@dirrmtry lib/locale/el/LC_MESSAGES
-@dirrmtry lib/locale/el
-@dirrmtry lib/locale/de/LC_MESSAGES
-@dirrmtry lib/locale/de
-@dirrmtry lib/locale/da/LC_MESSAGES
-@dirrmtry lib/locale/da
-@dirrmtry lib/locale/cs/LC_MESSAGES
-@dirrmtry lib/locale/cs
-@dirrmtry lib/locale/ca/LC_MESSAGES
-@dirrmtry lib/locale/ca
-@dirrmtry lib/locale/br/LC_MESSAGES
-@dirrmtry lib/locale/br
-@dirrmtry lib/locale/bg/LC_MESSAGES
-@dirrmtry lib/locale/bg
-@dirrmtry lib/locale/ar/LC_MESSAGES
-@dirrmtry lib/locale/ar
-@dirrmtry lib/locale
+@dirrmtry share/locale/zh_CN/LC_MESSAGES
+@dirrmtry share/locale/zh_CN
+@dirrmtry share/locale/vi/LC_MESSAGES
+@dirrmtry share/locale/vi
+@dirrmtry share/locale/tr/LC_MESSAGES
+@dirrmtry share/locale/tr
+@dirrmtry share/locale/te/LC_MESSAGES
+@dirrmtry share/locale/te
+@dirrmtry share/locale/sv_SE/LC_MESSAGES
+@dirrmtry share/locale/sv_SE
+@dirrmtry share/locale/sv/LC_MESSAGES
+@dirrmtry share/locale/sv
+@dirrmtry share/locale/sr@latin/LC_MESSAGES
+@dirrmtry share/locale/sr@latin
+@dirrmtry share/locale/sr/LC_MESSAGES
+@dirrmtry share/locale/sr
+@dirrmtry share/locale/sk/LC_MESSAGES
+@dirrmtry share/locale/sk
+@dirrmtry share/locale/ru/LC_MESSAGES
+@dirrmtry share/locale/ru
+@dirrmtry share/locale/pt_BR/LC_MESSAGES
+@dirrmtry share/locale/pt_BR
+@dirrmtry share/locale/pl/LC_MESSAGES
+@dirrmtry share/locale/pl
+@dirrmtry share/locale/nl/LC_MESSAGES
+@dirrmtry share/locale/nl
+@dirrmtry share/locale/ms/LC_MESSAGES
+@dirrmtry share/locale/ms
+@dirrmtry share/locale/ja/LC_MESSAGES
+@dirrmtry share/locale/ja
+@dirrmtry share/locale/it/LC_MESSAGES
+@dirrmtry share/locale/it
+@dirrmtry share/locale/hu/LC_MESSAGES
+@dirrmtry share/locale/hu
+@dirrmtry share/locale/hi/LC_MESSAGES
+@dirrmtry share/locale/hi
+@dirrmtry share/locale/he/LC_MESSAGES
+@dirrmtry share/locale/he
+@dirrmtry share/locale/fr/LC_MESSAGES
+@dirrmtry share/locale/fr
+@dirrmtry share/locale/fi/LC_MESSAGES
+@dirrmtry share/locale/fi
+@dirrmtry share/locale/fa/LC_MESSAGES
+@dirrmtry share/locale/fa
+@dirrmtry share/locale/eu/LC_MESSAGES
+@dirrmtry share/locale/eu
+@dirrmtry share/locale/et/LC_MESSAGES
+@dirrmtry share/locale/et
+@dirrmtry share/locale/es/LC_MESSAGES
+@dirrmtry share/locale/es
+@dirrmtry share/locale/eo/LC_MESSAGES
+@dirrmtry share/locale/eo
+@dirrmtry share/locale/en_GB/LC_MESSAGES
+@dirrmtry share/locale/en_GB
+@dirrmtry share/locale/en_AU/LC_MESSAGES
+@dirrmtry share/locale/en_AU
+@dirrmtry share/locale/el/LC_MESSAGES
+@dirrmtry share/locale/el
+@dirrmtry share/locale/de/LC_MESSAGES
+@dirrmtry share/locale/de
+@dirrmtry share/locale/da/LC_MESSAGES
+@dirrmtry share/locale/da
+@dirrmtry share/locale/cs/LC_MESSAGES
+@dirrmtry share/locale/cs
+@dirrmtry share/locale/ca/LC_MESSAGES
+@dirrmtry share/locale/ca
+@dirrmtry share/locale/br/LC_MESSAGES
+@dirrmtry share/locale/br
+@dirrmtry share/locale/bg/LC_MESSAGES
+@dirrmtry share/locale/bg
+@dirrmtry share/locale/ar/LC_MESSAGES
+@dirrmtry share/locale/ar
+@dirrmtry locale
 @dirrm %%DATADIR%%
--- soundconverter-1.4.4.patch ends here ---
Comment 4 Dmitry Marakasov freebsd_committer 2009-10-29 18:31:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 5 dfilter service freebsd_committer 2009-10-30 15:24:27 UTC
amdmi3      2009-10-30 15:24:11 UTC

  FreeBSD ports repository

  Modified files:
    audio/soundconverter Makefile pkg-plist 
  Log:
  - Install NLS files into correct location
  
  PR:             139939
  Submitted by:   "Denise H. G." <darcsis@gmail.com>
  Patch by:       Sylvio Cesar <scjamorim@bsd.com.br> (maintainer)
  
  Revision  Changes    Path
  1.9       +4 -1      ports/audio/soundconverter/Makefile
  1.6       +35 -102   ports/audio/soundconverter/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Dmitry Marakasov freebsd_committer 2009-10-30 15:25:00 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes (removed mtree locale dirs from plist ans 
silence REINPLACE_CMD). Thanks!